အကြောင်းအရာသို့ ကျော်ရန်

Wan Motion

ပေါင်းစည်းရန်

မော်ဒယ် id wan-motion
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan-motion?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

နမူနာကဲ့သို့ ဖိုင်များ: ၀.၇၅ $ ၇၅၀ API ခရက်ဒစ် လုပ်ဆောင်မီ သင့်ဖိုင်များကို တိုင်းတာသည် ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်

API ကီး ရယူရန်

မောင်းနှင်ဗီဒီယို၏ လှုပ်ရှားမှုကို အသုံးပြု၍ ကိုးကားပုံကို ရွေ့လျားစေသော၊ ကိုယ်ဟန်အနေအထားကို လိုက်လျောညီထွေပြောင်းပေးနိုင်သည့် ဇာတ်ကောင်ဖန်တီးမှု

Doitong တွင် ဖန်တီးထားသည်

Doitong အသိုင်းအဝိုင်းက Wan Motion ဖြင့် ဖန်တီးထားသော အများပြည်သူသုံး လက်ရာများ။ ပရောမ့်ကို တစ်ချက်နှိပ်၍ ပြန်အသုံးပြုပါ။

ပြသထားသော အများပြည်သူသုံး လက်ရာများ: 4
Create a highly realistic UGC-style smartphone video inside a modern commercial airplane during a... ဗီဒီယို

Create a highly realistic UGC-style smartphone video inside a modern commercial airplane during a daytime flight. Natural cabin lighting, subtle handheld camera movement, authentic airplane ambience, realistic passengers and natural acting. The video must feel like a real spontaneous phone...

**SORA 2 PROMPT — 20 seconds, vertical 9:16** Create a highly realistic UGC-style smartphone vide... ဗီဒီယို

**SORA 2 PROMPT — 20 seconds, vertical 9:16** Create a highly realistic UGC-style smartphone video inside a modern commercial airplane during a daytime flight. Natural cabin lighting, subtle handheld camera movement, authentic airplane ambience, realistic passengers and natural acting. The video...

Create a realistic cinematic 20-second video, filmed like a high-budget modern commercial with na... ဗီဒီယို

Create a realistic cinematic 20-second video, filmed like a high-budget modern commercial with natural acting, realistic lighting and believable facial expressions. All dialogue is spoken naturally in French. **SCENE 1 — EXPENSIVE RESTAURANT, EVENING — 0–5 sec** A young man in his late 20s is...

Create a realistic cinematic UGC-style commercial video, exactly 30 seconds long. The entire scen... ဗီဒီယို

Create a realistic cinematic UGC-style commercial video, exactly 30 seconds long. The entire scene takes place inside a modern passenger airplane during a daytime flight. Natural smartphone-like cinematography, realistic airplane cabin, authentic passengers, natural lighting, realistic skin...

တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်

ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။

မူလ

ဖန်တီးမှုကို ညွှန်ကြားရန် ရွေးချယ်နိုင်သော စာသားညွှန်ကြားချက်များ။

•လိုအပ်သည် video_url
ဖိုင်ကို ဆွဲချပါ၊ သို့မဟုတ်

လှုပ်ရှားမှုရင်းမြစ်အဖြစ် အသုံးပြုသည့် မောင်းနှင်ဗီဒီယို URL။

•လိုအပ်သည် image_url
ဖိုင်ကို ဆွဲချပါ၊ သို့မဟုတ်

ဇာတ်ကောင်၏ အသွင်အပြင်ကို သတ်မှတ်ရန် အသုံးပြုသည့် ကိုးကားပုံ URL။

အဆင့်မြင့် acceleration · seed · adapt_motion · enable_safety_checker
acceleration မူလ regular

Cache အခြေပြု ဖန်တီးမှုအရှိန်မြှင့်ခြင်းဖြစ်ပြီး cache ပိတ်ရန် 'none' သို့မဟုတ် ဖွင့်၍ ပိုမိုမြန်ဆန်စွာ ဖန်တီးရန် 'regular' ကို ရွေးချယ်ပါ။

တူညီသောရလဒ်များ ပြန်လည်ရရှိရန် ကျပန်းဖြစ်မှုကို ထိန်းချုပ်သည့် seed။

POST /run/wan-motion?wait=20 ကုန်ကျစရိတ် → ၀.၇၅ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan-motion?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်

သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်

Wan Motion အကြောင်း

ထည့်သွင်းချက် ၂ ခု လိုအပ်သည်။ လှုပ်ရှားမှုအတွက် `video_url` တွင် မောင်းနှင်ဗီဒီယိုနှင့် ဇာတ်ကောင်၏ အသွင်အပြင်အတွက် `image_url` တွင် ကိုးကားပုံတို့ ဖြစ်သည်။ ရွေးချယ်နိုင်သော `prompt` သည် ထွက်ရလဒ်ကို လမ်းညွှန်သည်။ `adapt_motion` ကို ဖွင့်ထားပါက မောင်းနှင်ဗီဒီယို၏ ကိုယ်ဟန်ကို ကိုးကားဇာတ်ကောင်၏ ကိုယ်ခန္ဓာအချိုးအစားနှင့် ကိုက်ညီအောင် ပြုပြင်ပေးပြီး ကိုယ်ထည်အရွယ်အစားများ မတူညီသည့်အခါ အထောက်အကူပြုသည်။ `enhance_identity` သည် ဇာတ်ကောင်၏ ကိုယ်ပိုင်အမှတ်အသား ပိုမိုတစ်သမတ်တည်းရှိစေရန် ကိုးကားပုံကို ကြိုတင်လုပ်ဆောင်နိုင်သည်။

ပါရာမီတာများ

စံအမည် သို့မဟုတ် မူရင်းအမည် တစ်ခုခုကိုသာ ပို့ပါ၊ နှစ်ခုလုံး မပို့ပါနှင့်။ စံအမည်များ

အမည်အမျိုးအစား မူလတန်ဖိုးခွင့်ပြုထားသည် ဖော်ပြချက်
video_urlလိုအပ်သည် video
အမျိုးအစားurl · video
လှုပ်ရှားမှုရင်းမြစ်အဖြစ် အသုံးပြုသည့် မောင်းနှင်ဗီဒီယို URL။
image_urlလိုအပ်သည် image
အမျိုးအစားurl · image
ဇာတ်ကောင်၏ အသွင်အပြင်ကို သတ်မှတ်ရန် အသုံးပြုသည့် ကိုးကားပုံ URL။
promptရွေးချယ်နိုင်သည်
အမျိုးအစားstring
မူလတန်ဖိုး
ဖန်တီးမှုကို ညွှန်ကြားရန် ရွေးချယ်နိုင်သော စာသားညွှန်ကြားချက်များ။
seedရွေးချယ်နိုင်သည်
အမျိုးအစားinteger | null
တူညီသောရလဒ်များ ပြန်လည်ရရှိရန် ကျပန်းဖြစ်မှုကို ထိန်းချုပ်သည့် seed။
accelerationရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးregular
noneregular
Cache အခြေပြု ဖန်တီးမှုအရှိန်မြှင့်ခြင်းဖြစ်ပြီး cache ပိတ်ရန် 'none' သို့မဟုတ် ဖွင့်၍ ပိုမိုမြန်ဆန်စွာ ဖန်တီးရန် 'regular' ကို ရွေးချယ်ပါ။
adapt_motionရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးtrue
ကိုးကားပုံနှင့် မောင်းနှင်ဗီဒီယိုရှိ အကြောင်းအရာ၏ ကိုယ်ခန္ဓာအချိုးအစားကွာခြားမှုအတွက် လှုပ်ရှားမှုကို လိုက်လျောညီထွေပြောင်းလဲခြင်း။ ဖွင့်ထားပါက မောင်းနှင်လှုပ်ရှားမှုကို ကိုးကားအချိုးအစားနှင့် ကိုက်ညီအောင် ပြုလုပ်ပေးပြီး ကိုယ်ခန္ဓာပုံသဏ္ဍာန် သို့မဟုတ် အရွယ်အစားကွာခြားသည့်အခါ အသုံးပြုရန် အကြံပြုသည်။
enhance_identityရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးfalse
ကာတွန်းမပြုလုပ်မီ Flux Kontext Edit ဖြင့် ကိုးကားပုံကို ကြိုတင်လုပ်ဆောင်ခြင်းဖြစ်ပြီး ကိုယ်ပိုင်လက္ခဏာ ထိန်းသိမ်းမှုကို မြှင့်တင်ပေးသည်။
enable_safety_checkerရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးtrue
ထည့်သွင်းချက်နှင့် ထွက်ရလဒ်တို့၏ ဘေးကင်းရေးစစ်ဆေးမှုဖြစ်ပြီး ခွင့်ပြုချက်ရှိသော အကောင့်များသာ ပိတ်နိုင်သည်။ true တန်ဖိုးသည် စစ်ဆေးမှုကို ဖွင့်ပေးပြီး ခွင့်ပြုချက်မရှိသော တောင်းဆိုချက်များကို သတ်မှတ်ချက်မည်သို့ပင်ဖြစ်စေ စစ်ဆေးမည်။
လိုအပ်သည် စံအမည်၊ ထို့အပြင် လက်ခံသည်

ဖိုင်ပါရာမီတာများသည် အများပြည်သူသုံး https:// URL၊ 10 MB အထိ data: URI သို့မဟုတ် အပ်လုဒ်လုပ်ထားသောဖိုင်၏ file_url ကို လက်ခံသည်။ ဖိုင်များ

ထွက်ရလဒ်

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "wan-motion",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 750,
    "usd": "0.75",
    "charged": 750,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "prompt": "woman dancing",
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
သင့်ဖိုင်များ၊ သင့်ရွေးချယ်မှုoutputs[].url တိုင်းသည် ကျွန်ုပ်တို့၏ သိုလှောင်မှုရှိ မိတ္တူဖြစ်သည်- အမြဲတမ်း (GB-month အလိုက် ငွေပေးရသည်) သို့မဟုတ် ၇ ရက် အခမဲ့၊ သင့်အကောင့်ဆက်တင် သို့မဟုတ် ?storage= ဖြင့် သိမ်းထားသည်။
မော်ဒယ်တိုင်းတွင် ပုံစံတူပုံ၊ ဗီဒီယိုနှင့် အသံတို့အတွက် type၊ url၊ content_type၊ width၊ height နှင့် duration။ output သည် မော်ဒယ်ကိုယ်တိုင်၏ ရလဒ် object ဖြစ်သည်။
ထွက်ရလဒ်၏ Fields များ
video
object {url, content_type, file_name, file_size}ဖန်တီးမှုမှ ထွက်ရှိသည့် ဗီဒီယိုဖိုင်။
prompt
stringထွက်ရလဒ်ဖန်တီးရန် အသုံးပြုခဲ့သော ပရောမ့်။
seed
integerဖန်တီးမှုအတွင်း အသုံးပြုသည့် seed တန်ဖိုး။

AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/wan-motion.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt